package com.example.nto.dto.mappers;

import com.example.nto.domain.entity.Office;
import com.example.nto.domain.entity.Terminal;
import com.example.nto.dto.entity.TerminalDTO;
import lombok.experimental.UtilityClass;

@UtilityClass
public class TerminalMapper {
    public static TerminalDTO convertToDTO(Terminal terminal) {
        TerminalDTO terminalDTO = new TerminalDTO();

        terminalDTO.setId(terminal.getId());
        terminalDTO.setName(terminal.getName());
        terminalDTO.setCode(terminal.getCode());
        terminalDTO.setOfficeName(terminal.getOffice().getName());

        return terminalDTO;
    }

    public static Terminal convertFromDTO(TerminalDTO terminalDTO, Office office) {
        Terminal terminal = new Terminal();

        terminal.setName(terminalDTO.getName());
        terminal.setOffice(office);

        return terminal;
    }
}
