package com.example.nto.dto.entity;


import com.example.nto.dto.entity.employee.EmployeeItemDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OfficeDTO {
    private long id;
    private String name;
    private String description;
    private String address;
    private Double latitude;
    private Double longitude;
    private String linkLogo;
    private String telephone;
    private String email;

    private List<EmployeeItemDTO> employees;
    private List<TerminalDTO> terminals;
}
